<!--title-->
<div class="row ">
  <div class="col-xl-12">
    <div class="card">
      <div class="card-body py-2">
        <h4 class="page-title d-inline-block">
          <i class="mdi mdi-format-list-numbered title_icon"></i> <?php echo get_phrase('Change_students_class_in_marks'); ?>
        </h4>
      </div> <!-- end card body-->
    </div> <!-- end card -->
  </div><!-- end col-->
</div>
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="row mt-3">
                <div class="col-md-1 mb-1"></div>
                <div class="col-md-2 mb-1">
                       <select name="exam" id="exam_id" class="form-control select2" data-toggle = "select2" required>
                        <option value=""><?php echo get_phrase('select_a_exam'); ?></option>
                        <?php $school_id = school_id();
                        $exams = $this->db->get_where('exams', array('school_id' => $school_id, 'session' => active_session()))->result_array();
                        foreach($exams as $exam){ ?>
                            <option value="<?php echo $exam['id']; ?>"><?php echo $exam['name'];?></option>
                        <?php } ?>
                    </select>
                </div>
                <div class="col-md-2 mb-1">
                      <select name="class_id" id="class_id_current" class="form-control select2" data-bs-toggle="select2"  required onchange="classWiseStudentOnCreate(this.value)">
                        <option value=""><?php echo get_phrase('select_a_class'); ?></option>
                        <?php $classes = $this->crud_model->get_classes()->result_array(); ?>
                        <?php foreach($classes as $class): ?>
                          <option value="<?php echo $class['id']; ?>"><?php echo $class['name']; ?></option>
                        <?php endforeach; ?>
                      </select>
                </div>
                <div class="col-md-2 mb-1">
                   
                      <div id = "student_content">
                        <select name="student_id" id="student_id_on_create" class="form-control select2" data-bs-toggle="select2" required >
                          <option value=""><?php echo get_phrase('select_a_student'); ?></option>
                        </select>
                </div>
                 </div>
                <div class="col-md-2 mb-1">
                    <select name="class" id="class_id_move" class="form-control select2" data-toggle = "select2" required>
                        <option value=""><?php echo get_phrase('move_to_class'); ?></option>
                        <?php
                        $classes = $this->db->get_where('classes', array('school_id' => school_id()))->result_array();
                        foreach($classes as $class){
                            ?>
                            <option value="<?php echo $class['id']; ?>"><?php echo $class['name']; ?></option>
                        <?php } ?>
                    </select>
                </div>
                <div class="col-md-2">
                    <button class="btn btn-block btn-primary" onclick="filter_attendance()" ><?php echo get_phrase('Validate Class'); ?></button>
                </div>
            </div>
            <div class="card-body mark_content">
                <div class="empty_box text-center">
                    <span class=""><?php echo get_phrase('Select class the current class of the child in the list table and click validate'); ?></span>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
$('document').ready(function(){
    $('select.select2:not(.normal)').each(function () { $(this).select2({ dropdownParent: '#right-modal' }); }); //initSelect2(['#class_id', '#exam_id', '#section_id', '#subject_id']);
});



function filter_attendance(){
    var exam = $('#exam_id').val();
    var class_id_current = $('#class_id_current').val();
    var class_id_move = $('#class_id_move').val();
    var student_id = $('#student_id_on_create').val();
    if(class_id_current != "" && class_id_move != "" && exam != "" && student_id != ""){
        $.ajax({
            type: 'POST',
            url: '<?php echo route('markclass/mark_class_update') ?>',
            data: {class_id_current : class_id_current, class_id_move : class_id_move, student_id : student_id, exam : exam},
            success: function(response){
                alert("Update successful")
            }
        });
    }else{
        toastr.error('<?php echo get_phrase('please_select_in_all_fields !'); ?>');
    }
}

function classWiseStudentOnCreate(classId) {
  $.ajax({
    url: "<?php echo route('markclass/student/'); ?>"+classId,
    success: function(response){
      $('#student_id_on_create').html(response);
    }
  });
}
</script>
